org.richfaces.component

## Class AbstractQueue

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractQueue

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    UIQueue

      public abstract class AbstractQueue
      extends javax.faces.component.UIComponentBase

  The <a4j:queue> component manages the JSF queue of Ajax requests. It provides additional options for a finer control of request processing.

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `static String` | `GLOBAL_QUEUE_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractQueue()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getName()` Specifies the name for the queue, allowing it to be referenced via the name attribute of the attachQueue component
    `abstract String` | `getOnbeforedomupdate()` The client-side script method to be called before DOM is updated
    `abstract String` | `getOncomplete()` The client-side script method to be called after the request is completed
    `abstract String` | `getOnerror()` The client-side script method to be called when an error has occurred during Ajax communications
    `abstract String` | `getOnrequestdequeue()` The client-side script method to be called after the request is removed from the queue
    `abstract String` | `getOnrequestqueue()` The client-side script method to be called when the request is added to the queue
    `abstract String` | `getOnsubmit()` The client-side script method to be called before an ajax request is submitted
    `abstract int` | `getRequestDelay()` Attribute defines the time (in ms) the request will be waiting in the queue before it is ready to be sent.
    `abstract boolean` | `isIgnoreDupResponses()` Attribute allows you to ignore an Ajax response produced by a request if the newest 'similar' request is in the queue already.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GLOBAL_QUEUE_NAME

          public static final String GLOBAL_QUEUE_NAME

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractQueue

          public AbstractQueue()

  - ### Method Detail

    - #### getRequestDelay

          public abstract int getRequestDelay()

      Attribute defines the time (in ms) the request will be waiting in the queue before it is ready to be sent.

    - #### getOnsubmit

          public abstract String getOnsubmit()

      The client-side script method to be called before an ajax request is submitted

    - #### getOncomplete

          public abstract String getOncomplete()

      The client-side script method to be called after the request is completed

    - #### getOnbeforedomupdate

          public abstract String getOnbeforedomupdate()

      The client-side script method to be called before DOM is updated

    - #### getOnerror

          public abstract String getOnerror()

      The client-side script method to be called when an error has occurred during Ajax communications

    - #### getOnrequestqueue

          public abstract String getOnrequestqueue()

      The client-side script method to be called when the request is added to the queue

    - #### getOnrequestdequeue

          public abstract String getOnrequestdequeue()

      The client-side script method to be called after the request is removed from the queue

    - #### isIgnoreDupResponses

          public abstract boolean isIgnoreDupResponses()

      Attribute allows you to ignore an Ajax response produced by a request if the newest 'similar' request is in the queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows avoiding unnecessary updates on the client side if the response isn't actual now

    - #### getName

          public abstract String getName()

      Specifies the name for the queue, allowing it to be referenced via the name attribute of the attachQueue component

Copyright © 2014 JBoss by Red Hat. All rights reserved.